QGIS Application - Bug report #7064
"cross2" symbol should be exported in SLD as "x"
2013-01-28 09:31 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 16149
Description

QGIS has a number of "marker line" symbol types. When i export these to SLD they become
<graphic><mark><wellknowntext> elements

However two of them appear to go against the spec for mark element types.
"rectangle” - the spec says this should be "square"

"cross2" - this should be "x"

The spec says other items can be created as desired, but as these two correlate with each other and are mandatory | figure they should
probably be using the spec-defined names for consistency with other applications.

This applies to SLD 1.0 and 1.1.

History

#1 - 2013-01-28 09:36 AM - Giovanni Manghi
- Status changed from Open to Feedback

is master affected?

#2 - 2013-02-01 04:55 AM - Jonathan Moules

Sorry. I've now tried at least five times to install QGIS-master and it always fails/doesn't work. | can only run pre-packaged stable builds. As such | can't

test this in master.

#3 - 2013-02-01 05:33 AM - Giovanni Manghi

Jonathan Moules wrote:

Sorry. I've now tried at least five times to install QGIS-master and it always fails/doesn't work. | can only run pre-packaged stable builds. As such |

can't test this in master.

here it is

http://gis-lab.info/programs/qgis/NextGIS-QGIS-5ed164a-29.01.2013.exe
#4 - 2013-02-04 08:13 AM - Jonathan Moules

This issue occurs identically in the linked 1.9

#5 - 2013-02-04 08:23 AM - Giovanni Manghi

- Affected QGIS version changed from 1.8.0 to master

#6 - 2013-02-04 09:07 AM - Jonathan Moules

@Giovanni Manghi - thanks for the link btw.

#7 - 2014-10-11 08:26 AM - Giovanni Manghi

- Status changed from Feedback to Open

#8 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#9 - 2017-10-14 11:50 AM - Andrea Aime

- Description updated

I've just tried, the square symbol is properly exported as square, but indeed "cross2" should be exported as "x" instead. I'll leave it open.

#10 - 2017-10-14 11:51 AM - Andrea Aime

- Subject changed from Two SLD style issues with <Mark> elements to "cross2" symbol should be exported in SLD as "x"

Updated the title to reflect the current situation

#11 - 2019-03-09 04:04 PM - Giovanni Manghi
- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

2025-04-27 22


http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

